cldump(1)

NAME
cldump - Clarion database extractor

SYNOPSIS
cldump [options] database.dat

DESCRIPTION
cldump extracts the data contained in a Clarion database; Clarion is a Windows IDE similar to Delphi or others, and has its own (simple) database format.

cldump can extract the data contained in such a database, and export it to CSV, SQL (including the database schema, keys and indexes) or its own format (this format will give you all the meta information, but isn't easily parsable).

A Clarion database consists in a set of files :

.DAT
    files contain the data,

.Kxx
    files contain the key/index data,

.MEM
    files contain the memo entries associated to the data.

OPTIONS

-x n, --decrypt n
    Decrypt an encrypted file. Required argument n indicates the location where the key will be retrieved. Valid values are in the range 1 - 4 inclusive. n = 1 usually works.

    Decryption happens in-place so KEEP A BACKUP as there is no guarantee the decryption process won't fail. Encrypted files must be decrypted before they can be dumped.

    Note that only the data file and the memo file are decrypted in this process; key/index files are left untouched as cldump doesn't use them.

-d, --dump-active
    Dump active entries only

-D, --dump-data
    Dump the actual data (active and deleted entries)

-m, --dump-meta
    Dump meta information (no SQL or CSV output format exist for this option)

-f c, --field-separator c
    Set the field separator to character c. Only valid for CSV output (see below).

-c, --csv
    Dump data or schema in CSV format

-S, --sql
    Dump data or schema in SQL format

-s, --schema
    Dump database schema

-M, --mysql
    Use MySQL specific construct (backticks, ...)

-n, --no-memo
    Do not dump memo entries

-U[charset], --utf8[=charset]
    Transcode strings and memos from charset to UTF-8 (charset defaults to ISO8859-1; for the list of supported charsets, see iconv --list)

OUTPUT
cldump outputs the data to stdout or stderr depending on the output format selected, the data to extract and the type of the data (data, meta data).

BUGS
The SQL output could be improved. Not all the types supported by the Clarion database format are implemented yet (due to lack of test databases using these types of data); see the source code for details.

Please report bugs to jb@jblache.org; if possible, please send patches as the set of test databases I have is very limited.

AUTHOR
cldump was written by Julien BLACHE <jb@jblache.org>.

HOMEPAGE
http://www.technologeek.org/projects/cldump/